# $Id: perl-XML-Encoding.spec 6001 2007-11-19 02:02:15Z dag $
# Authority: dag
# Upstream: Clark Cooper <coopercc$netheaven,com>
# Upstream: Steve Hay <shay$cpan,org>

%define perl_vendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)
%define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)

%define real_name XML-Encoding

Summary: Perl module for parsing XML encoding maps
Name: perl-XML-Encoding
Version: 2.01
Release: 1.%{releasetagsuffix}
License: Artistic/GPL
Group: Applications/CPAN
URL: http://search.cpan.org/dist/XML-Encoding/

Source: http://www.cpan.org/modules/by-module/XML/XML-Encoding-%{version}.tar.gz
Packager: Dag Wieers <dag@wieers.com>
Vendor: Dries RPM Repository http://dries.ulyssis.org/rpm/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch: noarch
BuildRequires: perl
BuildRequires: perl(ExtUtils::MakeMaker)

%description
perl-XML-Encoding is a Perl module for parsing XML encoding maps.

%prep
%setup -n %{real_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS="vendor" PREFIX="%{buildroot}%{_prefix}"
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} pure_install

### Clean up buildroot
find %{buildroot} -name .packlist -exec %{__rm} {} \;

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc Changes MANIFEST README
%doc %{_mandir}/man3/XML::Encoding.3pm*
%{_bindir}/compile_encoding
%{_bindir}/make_encmap
%dir %{perl_vendorlib}/XML/
%{perl_vendorlib}/XML/Encoding.pm

%changelog
* Mon Nov 19 2007 Dag Wieers <dag@wieers.com> - 2.01-1 #6001
- Updated to release 2.01.

* Thu May 31 2007 Dag Wieers <dag@wieers.com> - 1.01-1
- Initial package. (using DAR)
